package de.ugoe.cs.quest.eventcore.gui;

import de.ugoe.cs.tasktree.keyboardmaps.VirtualKey;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: $
 * @author 2011, last modified by $Author: $
 */
public abstract class KeyInteraction implements IInteraction {

    /**  */
    private static final long serialVersionUID = 1L;

    /** the key, that was actually pressed */
    private VirtualKey key;

    /**
     * @param key
     */
    public KeyInteraction(VirtualKey key) {
        super();
        this.key = key;
    }

    /**
     * 
     */
    public VirtualKey getKey() {
        return key;
    }

}
